Display song info when hovering over shaded window

October 30, 2016 01:11 - Jim Turner

Status: Closed Start date: October 30, 2016

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/skins Estimated time: 0.00 hour

Target version: 4.0   

Affects version: 3.8   

Description

When playing a song or stream in the Winamp Classic interface and the main window is shaded, it's not possible to see what's

playing (ie. the title) without popping up the playlist window.

It would be really helpful to have the little popup "balloon" with the song info that displays when hovering over a song in the playlist

window to also pop up for the current song when hovering over the middle (the pulsing equalizer band graphic / time display) of the

shaded main window.

This is really only applicable to the Winamp Classic interface.

I've included a rather simple patch to a single source file (skins/main.cc) which does just that.  NOTE:  the skins-qt/main.cc will pbly.

need changin' in a very similar way, but I don't have QT so can't test.

History

#1 - October 30, 2016 04:53 - Jim Turner

Never mind the patch, it's "STUCKSTERED" - grrrrrrrrrrrrrrrrrrrrrrrrrrrrr$%^$*$&*%&*%(!

#2 - October 30, 2016 06:06 - Jim Turner

- File main2.cc.diff added

UNstuckstered!!

Line 68 should be "return Window::motion (event);" instead of "return true;"  Pbm. was the event to move the window was not getting passed

upstream so the window was "STUCK".  Apparently I hadn't tried MOVING the window whilst testing.

I've learnt over the years that there ain't NO BETTER WAY TO FIND THE SERIOUS BUG than to PUBLISH a piece of code! :D

#3 - November 01, 2016 06:25 - Jim Turner

- File IMGP3333.JPG added

..Like dis:

#4 - December 04, 2016 14:38 - John Lindgren

- Subject changed from Yet another "wouldbenice2have" request (with patch) to Display song info when hovering over shaded window

- Target version deleted (3.9)

#5 - December 06, 2019 02:50 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 4.0
- Status changed from New to Closed

Simplified and applied, thanks:

https://github.com/audacious-media-player/audacious-plugins/commit/345aee5bc005844e8fa8dbdbb2a63bb3a890b87b

#6 - December 06, 2019 15:13 - Jim Turner

- File main.cc added

Wow, I'd forgotton a/b this!  Since then I've also got it working on the Qt side too.  Here's my code for skins-qt/main.cc.  The only part that you'll need

to look at is lines 87-89 and 537-547 (enterEvent()).  I would just first go ahead and test it out in Audacious-GIT and then just send you a working

Audacious patch for it, but I'm on travel for the week and don't have Qt on this box.

Thanks!

Jim

#7 - December 06, 2019 16:47 - John Lindgren

In theory, the change I pushed on the GTK side should translate almost directly.  (Widget::motion() and Widget::leave() already exist in the Qt version

as well.)  However, it didn't work when I tested it last night.  It seemed like Widget::motion() wasn't getting called for top-level widgets, for some

reason I couldn't figure out.  If you can figure that out, and get something tested working for Qt, please post it in a new issue.

Files

main.cc 40.3 KB October 30, 2016 Jim Turner

main.cc.diff 2.4 KB October 30, 2016 Jim Turner

main2.cc.diff 2.41 KB October 30, 2016 Jim Turner

IMGP3333.JPG 218 KBNovember 01, 2016 Jim Turner

main.cc 40.6 KBDecember 06, 2019 Jim Turner
